TMS
cURL
curl --request PUT \ --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/batch \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "status": "NEW", "jobs": [ { "uid": "<string>" } ], "dateDue": "2023-11-07T05:31:56Z", "providers": [ { "type": "<string>", "id": "<string>" } ] } '
{ "jobs": [ { "uid": "<string>", "status": "NEW", "providers": [ { "type": "<string>", "id": "<string>", "uid": "<string>" } ], "targetLang": "<string>", "workflowLevel": 123, "workflowStep": { "name": "<string>", "id": "<string>", "uid": "<string>", "order": 123, "lqaEnabled": true }, "filename": "<string>", "dateDue": "2023-11-07T05:31:56Z", "dateCreated": "2023-11-07T05:31:56Z", "updateSourceDate": "2023-11-07T05:31:56Z", "imported": true, "jobAssignedEmailTemplate": {}, "notificationIntervalInMinutes": 123, "continuous": true, "sourceFileUid": "<string>" } ] }
Returns only jobs which were updated by the batch operation.
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
auth/login
Authorization
NEW
ACCEPTED
DECLINED
REJECTED
DELIVERED
EMAILED
COMPLETED
CANCELLED
1 - 100
Show child attributes
successful operation
Was this page helpful?